# Registro Trailer de Arquivo

# Baseado na documenta��o da FEBRABAN (Vers�o 09.1 de 19/10/2015)
# Dispon�vel em: http://www.febraban.org.br/LerArquivo.asp?Tabela=Home_Arquivos&codigo=id_arquivo&campo1=arquivo&campo2=QtdeAcessos&id_codigo=3986&campo3=arquivos/

codigo_banco:
  # C�digo do Banco na Compensa��o (G001)
  # C�digo fornecido pelo Banco Central para identifica��o do Banco que est� recebendo ou enviando 
  # o arquivo, com o qual se firmou o contrato de presta��o de servi�os. Preencher com "888" quando 
  # a transfer�ncia for efetuada para outra institui��o financeira utilizando o c�digo ISPB. Neste 
  # caso, dever� ser preenchido o c�digo ISPB no campo 29.3Y.
  pos: [1, 3]
  picture: '9(3)'

lote_servico:
  # Lote de Servi�o (G002)
  # N�mero seq�encial para identificar univocamente um lote de servi�o. Criado e controlado pelo 
  # respons�vel pela gera��o magn�tica dos dados contidos no arquivo.
  # Preencher com '0001' para o primeiro lote do arquivo. Para os demais: n�mero do lote anterior 
  # acrescido de 1. O n�mero n�o poder� ser repetido dentro do arquivo.
  # Se registro for Header do Arquivo preencher com '0000'
  # Se registro for Trailer do Arquivo preencher com '9999'
  pos: [4, 7]
  picture: '9(4)'
  default: '9999'

tipo_registro:
  # Tipo de Registro (G003)
  # C�digo adotado pela FEBRABAN para identificar o tipo de registro.
  # Dom�nio:
  # '0' = Header de Arquivo
  # '1' = Header de Lote
  # '2' = Registros Iniciais do Lote
  # '3' = Detalhe
  # '4' = Registros Finais do Lote
  # '5' = Trailer de Lote
  # '9' = Trailer de Arquivo
  pos: [8, 8]
  picture: '9(1)'
  default: '9'

uso_exclusivo_febraban_01:
  # Uso Exclusivo FEBRABAN / CNAB (G004)
  # Texto de observa��es destinado para uso exclusivo da FEBRABAN.
  # Preencher com Brancos.
  pos: [9, 17]
  picture: 'X(9)'
  default: ''

qtde_lotes:
  # Quantidade de Lotes do Arquivo (G049)
  # N�mero obtido pela contagem dos lotes enviados no arquivo. Somat�ria dos registros de
  # tipo 1.
  pos: [18, 23]
  picture: '9(6)'

qtde_registros:
  # Quantidade de Registros do Arquivo (G056)
  # N�mero obtido pela contagem dos registros enviados no arquivo. Somat�ria dos registros
  # de tipo 0, 1, 3, 5 e 9.
  pos: [24, 29]
  picture: '9(6)'

qtde_contas_conciliacao:
  # Quantidade de Contas para Concilia��o (Lotes) (G037)
  # N�mero indicativo de lotes de Concilia��o Banc�ria enviados no arquivo. Somat�ria dos
  # registros de tipo 1 e Tipo de Opera��o = 'E'.
  # Campo espec�fico para o servi�o de Concilia��o Banc�ria.
  pos: [30, 35]
  picture: 'X(6)'
  default: ''

uso_exclusivo_febraban_02:
  # Uso Exclusivo FEBRABAN / CNAB (G004)
  # Texto de observa��es destinado para uso exclusivo da FEBRABAN.
  # Preencher com Brancos.
  pos: [36, 240]
  picture: 'X(205)'
  default: ''